Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osg::Matrix3 Class Reference

List of all members.

## Public Member Functions
| Matrix3 ()
| Matrix3 (const Matrix3 &mat)
| Matrix3 (float a00, float a01, float a02, float a10, float a11, float a12, float a20, float a21, float a22)
| ~Matrix3 ()
float & | operator() (int row, int col)
float | operator() (int row, int col) const
Matrix3 & | operator= (const Matrix3 &rhs)
void | set (const Matrix3 &rhs)
void | set (float const *const ptr)
void | set (float a00, float a01, float a02, float a10, float a11, float a12, float a20, float a21, float a22)
float * | ptr ()
const float * | ptr () const
float & | operator[] (int i)
float | operator[] (int i) const
void | makeIdentity ()
## Protected Attributes
float | _mat [3][3]

## Constructor & Destructor Documentation

osg::Matrix3::Matrix3 | ( |  | ) | `[inline]`

osg::Matrix3::Matrix3 | ( | const Matrix3 & | mat | ) | `[inline]`

osg::Matrix3::Matrix3 | ( | float | a00,
|  | float | a01,
|  | float | a02,
|  | float | a10,
|  | float | a11,
|  | float | a12,
|  | float | a20,
|  | float | a21,
|  | float | a22
| ) | `[inline]`

osg::Matrix3::~Matrix3 | ( |  | ) | `[inline]`

## Member Function Documentation

void osg::Matrix3::makeIdentity | ( |  | ) | `[inline]`

float osg::Matrix3::operator() | ( | int | row,
|  | int | col
| ) | const`[inline]`

float& osg::Matrix3::operator() | ( | int | row,
|  | int | col
| ) | `[inline]`

Matrix3& osg::Matrix3::operator= | ( | const Matrix3 & | rhs | ) | `[inline]`

float osg::Matrix3::operator[] | ( | int | i | ) | const`[inline]`

float& osg::Matrix3::operator[] | ( | int | i | ) | `[inline]`

const float* osg::Matrix3::ptr | ( |  | ) | const`[inline]`

float* osg::Matrix3::ptr | ( |  | ) | `[inline]`

void osg::Matrix3::set | ( | float | a00,
|  | float | a01,
|  | float | a02,
|  | float | a10,
|  | float | a11,
|  | float | a12,
|  | float | a20,
|  | float | a21,
|  | float | a22
| ) | `[inline]`

void osg::Matrix3::set | ( | float const *const | ptr | ) | `[inline]`

void osg::Matrix3::set | ( | const Matrix3 & | rhs | ) | `[inline]`

## Member Data Documentation

float osg::Matrix3::_mat[3][3]`[protected]`

The documentation for this class was generated from the following file:

- Uniform